import { ActiveRecords, RuntimeRelationField } from '@oinone/kunlun-engine';
import { BaseSelectFieldWidget, FormComplexFieldProps } from '../../../basic';
export declare class DetailRelationSelectFieldWidget<Value extends ActiveRecords = ActiveRecords, Field extends RuntimeRelationField = RuntimeRelationField, Props extends FormComplexFieldProps<Field> = FormComplexFieldProps<Field>> extends BaseSelectFieldWidget<Value, Field, Props> {
    protected get relationFieldKey(): string;
    protected handleTableLabel(dataEntity: any): any;
    protected get currentValue(): any;
}
